# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/ti/nspire.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: TI-NSPIRE calculators

maintainers:
  - Daniel Tang <dt.tangr@gmail.com>

properties:
  $nodename:
    const: '/'
  compatible:
    items:
      - enum:
          # CX models
          - ti,nspire-cx
          # Touchpad models
          - ti,nspire-tp
          # Clickpad models
          - ti,nspire-clp

additionalProperties: true

...
